Subject: Ticket Assigned - Article Feedback - What time shall I pick up my order?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 01 Jun 2022 05:48:14 +0000

Hi Maya Shamma,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - What time shall I pick up my order? Feedback for:  What time shall I pick up my order? Hi , I placed an order 6146541764 last Sunday, I chose to pick it up from the store of  Red Sea mall branch , till now I didn’t receive any mail or sms to collect my order! When can I have it please? I am going to travel next Sunday. So please to reply as soon as possible. 
Thank you. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4431684